Package org.optaplanner.core.impl.heuristic.selector.value.chained

## Class SubChain

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.value.chained.SubChain

-     public class SubChain
      extends Object

  A subList out of a single chain.

  Never includes an anchor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubChain​(List<Object> entityList)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `List<Object>` | `getEntityList()` |
    `Object` | `getFirstEntity()` |
    `Object` | `getLastEntity()` |
    `int` | `getSize()` |
    `int` | `hashCode()` |
    `<Solution_> SubChain` | `rebase​(ScoreDirector<Solution_> destinationScoreDirector)` |
    `SubChain` | `reverse()` |
    `SubChain` | `subChain​(int fromIndex, int toIndex)` |
    `String` | `toDottedString()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubChain

          public SubChain​(List<Object> entityList)

  - ### Method Detail

    - #### getEntityList

          public List<Object> getEntityList()

    - #### getFirstEntity

          public Object getFirstEntity()

    - #### getLastEntity

          public Object getLastEntity()

    - #### getSize

          public int getSize()

    - #### reverse

          public SubChain reverse()

    - #### subChain

          public SubChain subChain​(int fromIndex,
                                   int toIndex)

    - #### rebase

          public <Solution_> SubChain rebase​(ScoreDirector<Solution_> destinationScoreDirector)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDottedString

          public String toDottedString()